Security Enhanced Linux Reference Policy

# Layer: system

## Module: modutils

Interfaces

### Description:

Policy for kernel module utilities

### Interfaces:

modutils_delete_module_config( domain )

##### Summary

Unlink a file with the configuration options used when loading modules.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_delete_module_deps( domain )

##### Summary

rm kernel dependency files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_domtrans( domain )

##### Summary

Execute any modutil, like insmod, kmod, depmod or updates-modules, in the kmod domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

modutils_exec( domain )

##### Summary

Execute any modutil, like insmod, kmod, depmod or updates-modules, in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_getattr_module_deps( domain )

##### Summary

Getattr the dependencies of kernel modules.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_manage_module_config( domain )

##### Summary

Manage files with the configuration options used when loading modules.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_read_module_config( domain )

##### Summary

Read the configuration options used when loading modules.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_read_module_deps( domain )

##### Summary

Read the dependencies of kernel modules.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_rename_module_config( domain )

##### Summary

Rename a file with the configuration options used when loading modules.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

modutils_run( domain , role )

##### Summary

Execute any modutil, like insmod, kmod, depmod or updates-modules, in the kmod domain, and allow the specified role the kmod domain, and use the caller's terminal. Has a sigchld backchannel.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return